Get a collected answer
curl --request GET \
--url https://app.chatobserver.com/api/v1/prompt-runs/{id} \
--header 'x-chatobserver-key: <api-key>'const options = {method: 'GET', headers: {'x-chatobserver-key': '<api-key>'}};
fetch('https://app.chatobserver.com/api/v1/prompt-runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v1/prompt-runs/{id}"
headers = {"x-chatobserver-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": 123,
"promptId": 123,
"promptTitle": "<string>",
"status": "<string>",
"trigger": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"analysisStatus": "<string>",
"analysisSummary": "<unknown>",
"analysisCompletedAt": "<string>",
"errorReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"sources": [
{
"id": 123,
"kind": "<string>",
"position": 123,
"url": "<string>",
"rootDomain": "<string>",
"path": "<string>",
"title": "<string>",
"anchorText": "<string>",
"section": "<string>",
"description": "<string>",
"createdAt": "<string>"
}
],
"commerce": {
"extractionStatus": "complete",
"shoppingProductCount": 123,
"sponsoredAdCount": 123,
"observedAt": "<string>",
"placements": [
{
"id": 123,
"kind": "shopping_product",
"position": 123,
"title": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"targetDomain": "<string>",
"price": 123,
"priceDisplay": "<string>",
"currency": "<string>",
"rating": 123,
"advertiserName": "<string>",
"advertiserUrl": "<string>",
"advertiserDomain": "<string>",
"matchKind": "unmatched",
"isOwnBrand": false
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Version 1
Get a collected answer
Integrate with the version 1 visibility and analytics endpoints.
GET
/
api
/
v1
/
prompt-runs
/
{id}
Get a collected answer
curl --request GET \
--url https://app.chatobserver.com/api/v1/prompt-runs/{id} \
--header 'x-chatobserver-key: <api-key>'const options = {method: 'GET', headers: {'x-chatobserver-key': '<api-key>'}};
fetch('https://app.chatobserver.com/api/v1/prompt-runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v1/prompt-runs/{id}"
headers = {"x-chatobserver-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": 123,
"promptId": 123,
"promptTitle": "<string>",
"status": "<string>",
"trigger": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"analysisStatus": "<string>",
"analysisSummary": "<unknown>",
"analysisCompletedAt": "<string>",
"errorReason": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"sources": [
{
"id": 123,
"kind": "<string>",
"position": 123,
"url": "<string>",
"rootDomain": "<string>",
"path": "<string>",
"title": "<string>",
"anchorText": "<string>",
"section": "<string>",
"description": "<string>",
"createdAt": "<string>"
}
],
"commerce": {
"extractionStatus": "complete",
"shoppingProductCount": 123,
"sponsoredAdCount": 123,
"observedAt": "<string>",
"placements": [
{
"id": 123,
"kind": "shopping_product",
"position": 123,
"title": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"targetDomain": "<string>",
"price": 123,
"priceDisplay": "<string>",
"currency": "<string>",
"rating": 123,
"advertiserName": "<string>",
"advertiserUrl": "<string>",
"advertiserDomain": "<string>",
"matchKind": "unmatched",
"isOwnBrand": false
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Required scopes:
read.Authorizations
WorkspaceKeyBearerKey
A workspace API key. Data endpoints require a service-account key with the specified scopes.
Path Parameters
Resource identifier returned by the API.
Response
Successful response.
Show child attributes
Show child attributes